package com.example.demo.mapper

import com.example.demo.entity.Category
import org.apache.ibatis.annotations.*

@Mapper
interface CategoryMapper {

    @Select(" select * from category_")
    fun list() : List<Category>

    @Insert(" insert into category_ values(null, #{name})")
    fun insert(category: Category) : Int

    @Delete(" delete from category_ where id = #{id}")
    fun delete(id : Int)

    @Update(" update category_ set name=#{name} where id = #{id}")
    fun update(category: Category) : Int

    @Select( " select * from category_ where id = #{id}")
    fun get(id : Int) : Category


}